<?php
/**
 * 五十九秒网络购物cms Model基类
 * ============================================================================
 * 版权所有 2009-2012 五十九秒网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.59miao.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: longzhang
 * 
*/
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
class Model extends DB {
	protected $_db = null;
	protected $_fields = array();
	protected $_tables = array();
	protected $_R = array();
	protected $_check = null;
	protected $_limit = '';
	
	protected function __construct() {
		$this->_db = parent::getInstance();
	}
	
	protected function add(Array $_addData) {
		return $this->_db->add($this->_tables, $_addData);
	}
	
	protected function update(Array $_param, Array $_updateData) {
		return $this->_db->update($this->_tables, $_param, $_updateData);
	}
	
	protected function select(Array $_field, Array $_param = array()) {
		return $this->_db->select($this->_tables, $_field, $_param);
	}
	
	protected function total(Array $_param = array()) {
		return $this->_db->total($this->_tables, $_param);
	}
	
	protected function nextId() {
		return $this->_db->nextId($this->_tables);
	}
	
	protected function getRequest() {
		return Request::getInstance($this, $this->_check);
	}
	
	protected function delete(Array $_param) {
		return $this->_db->delete($this->_tables, $_param);
	}
	
	public function isOne(Array $_param) {
		return $this->_db->isOne($this->_tables, $_param);
	}
	
	public function setLimit($_limit) {
		$this->_limit = $_limit;
	}
}
?>